import InlineKeyboardButton from "./InlineKeyboardButton";
import Row from "./Row";
export default class InlineKeyboard extends Array<Row<InlineKeyboardButton>> {
    /**
     * Composes Markup for InlineKeyboardMarkup
     * @see https://core.telegram.org/bots/api#inlinekeyboardmarkup
     */
    getMarkup(): {
        inline_keyboard: {
            [x: string]: string | boolean | {} | {
                url: string;
                forward_text?: string;
                bot_username?: string;
                request_write_access?: string;
            };
            text: string;
        }[][];
    };
    /**
     * Clones recursively the whole keyboard and returns
     * a new image of the keyboard.
     */
    clone(): InlineKeyboard;
}
