"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class InlineKeyboard extends Array {
    /**
     * Composes Markup for InlineKeyboardMarkup
     * @see https://core.telegram.org/bots/api#inlinekeyboardmarkup
     */
    getMarkup() {
        if (!this.length) {
            throw new Error("No rows added to keyboard.");
        }
        return {
            inline_keyboard: this.map((row) => row.getJSON())
        };
    }
    /**
     * Clones recursively the whole keyboard and returns
     * a new image of the keyboard.
     */
    clone() {
        return new InlineKeyboard(...this.map(row => row.clone()));
    }
}
exports.default = InlineKeyboard;
//# sourceMappingURL=InlineKeyboard.js.map