interface InlineKeyboardSupportedProperties {
    "url": string;
    "login_url": {
        url: string;
        forward_text?: string;
        bot_username?: string;
        request_write_access?: string;
    };
    "callback_data": string;
    "switch_inline_query": string;
    "switch_inline_query_current_chat": string;
    "callback_game": {};
    "pay": boolean;
}
export default class InlineKeyboardButton<P extends keyof InlineKeyboardSupportedProperties = keyof InlineKeyboardSupportedProperties> {
    readonly text: string;
    readonly exclusiveKey: keyof InlineKeyboardSupportedProperties;
    readonly exclusiveValue: InlineKeyboardSupportedProperties[P];
    constructor(text: string, exclusiveKey: P, exclusiveValue: InlineKeyboardSupportedProperties[P]);
    clone(): InlineKeyboardButton<keyof InlineKeyboardSupportedProperties>;
    getJSON(): {
        [x: string]: string | InlineKeyboardSupportedProperties[P];
        text: string;
    };
}
export {};
