"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class KeyboardButton {
    constructor(text, options = {}) {
        this.text = String(text);
        this.options = options;
        if (options && typeof options !== "object") {
            throw new TypeError("Cannot accept a non-object as 'options' value");
        }
        Object.freeze(this);
    }
    clone() {
        return new KeyboardButton(this.text, Object.assign({}, this.options));
    }
    getJSON() {
        return Object.assign({ text: this.text }, this.options);
    }
}
exports.default = KeyboardButton;
//# sourceMappingURL=KeyboardButton.js.map