import KeyboardButton from "./KeyboardButton";
import Row from "./Row";
interface ReplyKeyboardMarkupOptions {
    keyboard: Array<Array<any>>;
    resize_keyboard?: boolean;
    one_time_keyboard?: boolean;
    selective?: boolean;
}
export default class ReplyKeyboard extends Array<Row<KeyboardButton>> {
    /**
     * Composes Markup for ReplyKeyboardMarkup
     * @see https://core.telegram.org/bots/api#replykeyboardmarkup
     *
     * @param options
     */
    getMarkup(options?: Omit<ReplyKeyboardMarkupOptions, "keyboard">): ReplyKeyboardMarkupOptions;
    /**
     * Composes Markup for ReplyKeyboardRemove
     * @see https://core.telegram.org/bots/api#replykeyboardremove
     *
     * @param selective
     */
    remove(selective?: boolean): {
        remove_keyboard: boolean;
        selective: boolean;
    };
    /**
     * Clones recursively the whole keyboard and returns
     * a new image of the keyboard.
     */
    clone(): ReplyKeyboard;
}
export {};
