"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ReplyKeyboard extends Array {
    /**
     * Composes Markup for ReplyKeyboardMarkup
     * @see https://core.telegram.org/bots/api#replykeyboardmarkup
     *
     * @param options
     */
    getMarkup(options = {}) {
        if (!this.length) {
            throw new Error("No rows added to keyboard.");
        }
        const keyboard = this.map((row) => row.getJSON());
        return Object.assign(Object.assign({}, options), { keyboard });
    }
    /**
     * Composes Markup for ReplyKeyboardRemove
     * @see https://core.telegram.org/bots/api#replykeyboardremove
     *
     * @param selective
     */
    remove(selective = false) {
        return {
            remove_keyboard: true,
            selective,
        };
    }
    /**
     * Clones recursively the whole keyboard and returns
     * a new image of the keyboard.
     */
    clone() {
        return new ReplyKeyboard(...this.map((row) => row.clone()));
    }
}
exports.default = ReplyKeyboard;
//# sourceMappingURL=ReplyKeyboard.js.map